import request from '@/utils/request'

// 查询标注人员和角色关联列表
export function list(query) {
  return request({
    url: '/ai/teamMember/list',
    method: 'get',
    params: query
  })
}
export function getAllList() {
  return request({
    url: '/ai/teamMember/getAllList',
    method: 'get'
  })
}


// 查询标注人员和角色关联详细
export function getTeamMember(memberId) {
  return request({
    url: '/ai/teamMember/getInfo/' + memberId,
    method: 'get'
  })
}

// 新增标注人员和角色关联
export function addTeamMember(data) {
  return request({
    url: '/ai/teamMember/add',
    method: 'post',
    data: data
  })
}

// 修改标注人员和角色关联
export function updateTeamMember(data) {
  return request({
    url: '/ai/teamMember/update',
    method: 'post',
    data: data
  })
}

// 删除标注人员和角色关联
export function delTeamMember(memberId) {
  return request({
    url: '/ai/teamMember/delete/' + memberId,
    method: 'post'
  })
}

export function buildDeptTreeWithUsers(data) {
  return request({
    url: '/ai/teamMember/buildDeptTreeWithUsers',
    method: 'post',
    data: data
  })
}
